Subject: Re: [alto] Status update //RE: I-D Action: draft-ietf-alto-performance-metrics-05.txt

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Fri, 2 Nov 2018 14:16:57 +0000

Hi Dany,

Thanks a lot , please see answers inline,
Best regards,
Sabine

From: alto <[email-masked]> On Behalf Of Danny Alex Lachos Perez
Sent: Tuesday, October 23, 2018 4:04 AM
To: [email-masked]
Cc: IETF ALTO <[email-masked]>
Subject: Re: [alto] Status update //RE: I-D Action: draft-ietf-alto-performance-metrics-05.txt

Hello, Qin and all the authors.

I have performed a review of this draft (-05).

My comments are in the attached file (marked with [DANNY]). Most of them are about format issues, consistency, and clarity.
[[SR]] Thanks a lot. They will greatly help clarifying the document.
However, I have a technical comment:

Regarding hop count cost metric (section 6), the metric name is very generic. Considering the "metric description", you basically refer to router hops. What about other types of hop count, for example, AS-hops?. Based on your description, I think that this metric could have a more specific name ("router hop count", for giving an example)
[[SR]] Indeed there was quite some discussion on that metric and the issue was as you mentioned it. How the “hopcount” metric is constructed is not specified in RFC 7285, that uses it in its examples. So it may cover any types of hops (IP, AS, etc.). One way to specify the “type” of hops would be:
in the ”meta” of the IRD, in its “cost-type” member, add for cost-type names related to metric “hopcount” a field “description” taking values such as: “AS hops”, “router hops”, “IP hops”, “Abstracted hops” or other types. Or can be “hop type XX”.

Any thoughts and suggestions in the WG?

PLUS:
Each cost metric (OWDelay, RTT, PDV, Hop Count, Packet Loss, and Throughput) is considered a section. However, I think you can consider them as subsections of a section, similar to how you did with Traffic Engineering Performance Cost Metrics (section 9).
[[SR]] How about we put a section 3. “End to end path performance metrics” with one subsection for each of the metrics specified in current sections 3 through 8?

Best regards,

Danny Lachos

On Sun, Oct 21, 2018 at 10:15 PM Qin Wu <[email-masked]<mailto:[email-masked]>> wrote:
Hi,
The main changes in v-(05) are to remove duplicated text for PDV cost metric and add throughput cost metric to align with cost calendar draft.
The diff is:
https://www.ietf.org/rfcdiff?url2=draft-ietf-alto-performance-metrics-05

-Qin
-----邮件原件-----
发件人: alto [mailto:[email-masked]<mailto:[email-masked]>] 代表 [email-masked]<mailto:[email-masked]>
发送时间: 2018年10月22日 9:12
收件人: [email-masked]<mailto:[email-masked]>
抄送: [email-masked]<mailto:[email-masked]>
主题: [alto] I-D Action: draft-ietf-alto-performance-metrics-05.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Application-Layer Traffic Optimization WG of the IETF.

        Title           : ALTO Performance Cost Metrics
        Authors         : Qin Wu
                          Y. Richard Yang
                          Young Lee
                          Dhruv Dhody
                          Sabine Randriamasy
        Filename        : draft-ietf-alto-performance-metrics-05.txt
        Pages           : 26
        Date            : 2018-10-21

Abstract:
   Cost Metric is a basic concept in Application-Layer Traffic
   Optimization (ALTO).  It is used in both the Cost Map Service and the
   Endpoint Cost Service.

   Different applications may benefit from different Cost Metrics..  For
   example, a Resource Consumer may prefer Resource Providers that offer
   a low delay delivery to the Resource Consumer.  However the base ALTO
   protocol [ALTO] has documented only one single cost metric, i.e., the
   generic "routingcost" metric (Sec. 14.2 of ALTO base specification
   [ALTO]).

   This document, proposes a set of Cost Metrics, derived and aggregated
   from routing protocols with different granularity and scope, such as
   BGP-LS,OSPF-TE and ISIS-TE, or from end-to-end traffic management
   tools.  It currently documents Network Performance Cost Metrics
   reporting on network delay, jitter, packet loss, hop count, and
   bandwidth.  These metrics may be exposed by an ALTO Server to allow
   applications to determine "where" to connect based on network
   performance criteria.  Additional Cost Metrics involving ISP specific
   considerations or other network technologies may be documented in
   further versions of this draft.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-alto-performance-metrics/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-alto-performance-metrics-05
https://datatracker.ietf..org/doc/html/draft-ietf-alto-performance-metrics-05<https://datatracker.ietf.org/doc/html/draft-ietf-alto-performance-metrics-05>

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-alto-performance-metrics-05

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto
_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto

---

From: Qin Wu <[email-masked]>
Date: Thu, 15 Nov 2018 12:02:50 +0000

Hi, Danny:
发件人: Danny Alex Lachos Perez [mailto:[email-masked]]
发送时间: 2018年10月23日 10:04
收件人: Qin Wu
抄送: IETF ALTO
主题: Re: [alto] Status update //RE: I-D Action: draft-ietf-alto-performance-metrics-05.txt

My comments are in the attached file (marked with [DANNY]). Most of them are about format issues, consistency, and clarity. However, I have a technical comment:

[Qin]: Thanks, I have incorporated your comments in the update.
Regarding hop count cost metric (section 6), the metric name is very generic. Considering the "metric description", you basically refer to router hops. What about other types of hop count, for example, AS-hops?. Based on your description, I think that this metric could have a more specific name ("router hop count", for giving an example)
[Qin]: This has been brought up by one of our coauthors, the intention is to define hop count as generic metric. But I am happy to make it specific  if there is agreement to do so.

PLUS:
Each cost metric (OWDelay, RTT, PDV, Hop Count, Packet Loss, and Throughput) is considered a section. However, I think you can consider them as subsections of a section, similar to how you did with Traffic Engineering Performance Cost Metrics (section 9).
[Qin]: Make sense, fixed.
Best regards,

Danny Lachos

-Qin
-----邮件原件-----
发件人: alto [mailto:[email-masked]<mailto:[email-masked]>] 代表 [email-masked]<mailto:[email-masked]>
发送时间: 2018年10月22日 9:12
收件人: [email-masked]<mailto:[email-masked]>
抄送: [email-masked]<mailto:[email-masked]>
主题: [alto] I-D Action: draft-ietf-alto-performance-metrics-05.txt

Abstract:

   Different applications may benefit from different Cost Metrics.  For

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-alto-performance-metrics-05
https://datatracker.ietf.org/doc/html/draft-ietf-alto-performance-metrics-05